Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.objectbase
Interface ProbeMap

All Known Subinterfaces:
  CompleteProbeMap, CompleteVarMap, CustomProbeMap, DefaultProbeMap, EmptyProbeMap

All Known Implementing Classes:
  CompleteVarMapImpl, CustomProbeMapImpl, DefaultProbeMapImpl, ProbeMapImpl, CompleteProbeMapImpl

public interface ProbeMap
extends SwarmObject, SwarmObjectS, ProbeConfig, ProbeConfigS

A container class for Probes used to specify the contents of a ProbeDisplay.. A ProbeMap is a Map-type collection of Probes. They are used to gather several Probes, who usually have a common referent, into a single bundle. For example, all the instance variables of a ModelSwarm might be gathered into a single ProbeMap. Each ProbeMap is then installed into the global ProbeLibrary.

Method Summary
`java.lang.Object` | `addProbe(Probe aProbe)` The addProbe: method adds a probe to the contents of the ProbeMap.
`java.lang.Object` | `addProbeMap(ProbeMap aProbeMap)` The addProbeMap: method is used to tailor the contents of a ProbeMap by performing "set inclusion" with another ProbeMap.
`Index` | `begin(Zone aZone)` The begin: method returns an iterator (index) over the ProbeMap.
`java.lang.Object` | `clone(Zone aZone)` The clone: method returns a clone of the probe map.
`void` | `dropProbeForMessage(java.lang.String aMessage)` The dropProbeForMessage: method is used to drop a Probe from the ProbeMap.
`void` | `dropProbeForVariable(java.lang.String aVariable)` The dropProbeForVariable: method is used to drop a Probe from the ProbeMap.
`java.lang.Object` | `dropProbeMap(ProbeMap aProbeMap)` The dropProbeMap: method is used to drop a probe from a probe map.
`int` | `getCount()` The getCount method returns the number of probes in the ProbeMap.
`java.lang.Class` | `getProbedClass()` The getProbedClass method returns the class of the object that the set of probes that constitute the probe map points at.

Methods inherited from interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods inherited from interface swarm.objectbase.ProbeConfig
`getObjectToNotify, setObjectToNotify`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### getCount

    public int getCount()

  The getCount method returns the number of probes in the ProbeMap.

### getProbedClass

    public java.lang.Class getProbedClass()

  The getProbedClass method returns the class of the object that the set of probes that constitute the probe map points at.

### addProbe

    public java.lang.Object addProbe(Probe aProbe)

  The addProbe: method adds a probe to the contents of the ProbeMap. The ProbeMap will always make sure that the probedClass of the Probe being added corresponds to its own probedClass.

### addProbeMap

    public java.lang.Object addProbeMap(ProbeMap aProbeMap)

  The addProbeMap: method is used to tailor the contents of a ProbeMap by performing "set inclusion" with another ProbeMap. The typing is verified prior to inclusion.

### dropProbeForVariable

    public void dropProbeForVariable(java.lang.String aVariable)

  The dropProbeForVariable: method is used to drop a Probe from the ProbeMap. No class verification takes place since the probe is dropped based on its variableName, not its actual id value.

### dropProbeForMessage

    public void dropProbeForMessage(java.lang.String aMessage)

  The dropProbeForMessage: method is used to drop a Probe from the ProbeMap. No class verification takes place since the probe is dropped based on its messageName, not its actual id value.

### dropProbeMap

    public java.lang.Object dropProbeMap(ProbeMap aProbeMap)

  The dropProbeMap: method is used to drop a probe from a probe map. It is equivalent to callling dropProbeForVariable for each variable name present in the ProbeMap being dropped, followed by a call to dropProbeForMessage for each message name present in the ProbeMap being dropped.

### begin

    public Index begin(Zone aZone)

  The begin: method returns an iterator (index) over the ProbeMap. This index is used in the exact same way any Map index is used.

### clone

    public java.lang.Object clone(Zone aZone)

  The clone: method returns a clone of the probe map. If the initial probe map created by Library Generation or by the default version of Object generation, the probe map should be cloned prior to making changes to it to avoid having the changes affect the other potential users of the probe map.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD